package com.ruoyi.project.pssr.service.impl;

import com.ruoyi.project.pssr.domain.TPssrMaterialRaw;
import com.ruoyi.project.pssr.mapper.TPssrMaterialRawMapper;
import com.ruoyi.project.pssr.service.ITPssrMaterialRawService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 原料Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrMaterialRawServiceImpl implements ITPssrMaterialRawService
{
    @Autowired
    private TPssrMaterialRawMapper tPssrMaterialRawMapper;

    /**
     * 查询原料
     *
     * @param id 原料ID
     * @return 原料
     */
    @Override
    public TPssrMaterialRaw selectTPssrMaterialRawById(Long id)
    {
        return tPssrMaterialRawMapper.selectTPssrMaterialRawById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrMaterialRawMapper.selectNoConfirmCount(subId);
    }
    @Override
    public TPssrMaterialRaw selectAllConfirmedPersonBySubId(TPssrMaterialRaw tPssrMaterialRaw) {
        return tPssrMaterialRawMapper.selectAllConfirmedPersonBySubId(tPssrMaterialRaw);
    }

    /**
     * 查询原料列表
     *
     * @param tPssrMaterialRaw 原料
     * @return 原料
     */
    @Override
    public List<TPssrMaterialRaw> selectTPssrMaterialRawList(TPssrMaterialRaw tPssrMaterialRaw)
    {
        return tPssrMaterialRawMapper.selectTPssrMaterialRawList(tPssrMaterialRaw);
    }

    /**
     * 新增原料
     *
     * @param tPssrMaterialRaw 原料
     * @return 结果
     */
    @Override
    public int insertTPssrMaterialRaw(TPssrMaterialRaw tPssrMaterialRaw)
    {
        return tPssrMaterialRawMapper.insertTPssrMaterialRaw(tPssrMaterialRaw);
    }

    /**
     * 修改原料
     *
     * @param tPssrMaterialRaw 原料
     * @return 结果
     */
    @Override
    public int updateTPssrMaterialRaw(TPssrMaterialRaw tPssrMaterialRaw)
    {
        return tPssrMaterialRawMapper.updateTPssrMaterialRaw(tPssrMaterialRaw);
    }
    @Override
    public int updateAllBySubId(TPssrMaterialRaw tPssrMaterialRaw)
    {
        return tPssrMaterialRawMapper.updateAllBySubId(tPssrMaterialRaw);
    }

    /**
     * 批量删除原料
     *
     * @param ids 需要删除的原料ID
     * @return 结果
     */
    @Override
    public int deleteTPssrMaterialRawByIds(Long[] ids)
    {
        return tPssrMaterialRawMapper.deleteTPssrMaterialRawByIds(ids);
    }

    /**
     * 删除原料信息
     *
     * @param id 原料ID
     * @return 结果
     */
    @Override
    public int deleteTPssrMaterialRawById(Long id)
    {
        return tPssrMaterialRawMapper.deleteTPssrMaterialRawById(id);
    }
}
